Skip to main content
`Ctrl`+`K`

# DMSetUseNatural

Set the flag for creating a mapping to the natural order when a `DM` is (re)distributed in parallel

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetUseNatural(DM dm, PetscBool useNatural)

Collective

## Input Parameters

- dm - The `DM`

- useNatural - `PETSC_TRUE` to build the mapping to a natural order during distribution

## Note

This also causes the map to be build after `DMCreateSubDM()` and `DMCreateSuperDM()`

## See Also

DM Basics, `DM`, `DMGetUseNatural()`, `DMCreate()`, `DMPlexDistribute()`, `DMCreateSubDM()`, `DMCreateSuperDM()`

## Level

beginner

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages